org.eclipse.jgit.api

## Enum MergeResult.MergeStatus

- java.lang.Object
- - java.lang.Enum<MergeResult.MergeStatus>
  - - org.eclipse.jgit.api.MergeResult.MergeStatus

All Implemented Interfaces:
  Serializable, Comparable<MergeResult.MergeStatus>

Enclosing class:
  MergeResult

    public static enum MergeResult.MergeStatus
    extends Enum<MergeResult.MergeStatus>

The status the merge resulted in.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORTED`
`ALREADY_UP_TO_DATE`
`CHECKOUT_CONFLICT` Status representing a checkout conflict, meaning that nothing could be merged, as the pre-scan for the trees already failed for certain files (i.e.
`CONFLICTING`
`FAILED`
`FAST_FORWARD`
`FAST_FORWARD_SQUASHED`
`MERGED`
`MERGED_NOT_COMMITTED`
`MERGED_SQUASHED`
`MERGED_SQUASHED_NOT_COMMITTED`
`NOT_SUPPORTED`

### Method Summary

Methods
`abstract boolean` `isSuccessful()`
`static MergeResult.MergeStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MergeResult.MergeStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FAST_FORWARD

    public static final MergeResult.MergeStatus FAST_FORWARD

#### FAST_FORWARD_SQUASHED

    public static final MergeResult.MergeStatus FAST_FORWARD_SQUASHED

Since:
  2.0

#### ALREADY_UP_TO_DATE

    public static final MergeResult.MergeStatus ALREADY_UP_TO_DATE

#### FAILED

    public static final MergeResult.MergeStatus FAILED

#### MERGED

    public static final MergeResult.MergeStatus MERGED

#### MERGED_SQUASHED

    public static final MergeResult.MergeStatus MERGED_SQUASHED

Since:
  2.0

#### MERGED_SQUASHED_NOT_COMMITTED

    public static final MergeResult.MergeStatus MERGED_SQUASHED_NOT_COMMITTED

Since:
  3.0

#### CONFLICTING

    public static final MergeResult.MergeStatus CONFLICTING

#### ABORTED

    public static final MergeResult.MergeStatus ABORTED

Since:
  2.2

#### MERGED_NOT_COMMITTED

    public static final MergeResult.MergeStatus MERGED_NOT_COMMITTED

Since:
  3.0

#### NOT_SUPPORTED

    public static final MergeResult.MergeStatus NOT_SUPPORTED

#### CHECKOUT_CONFLICT

    public static final MergeResult.MergeStatus CHECKOUT_CONFLICT

Status representing a checkout conflict, meaning that nothing could be merged, as the pre-scan for the trees already failed for certain files (i.e. local modifications prevent checkout of files).

### Method Detail

#### values

    public static MergeResult.MergeStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MergeResult.MergeStatus c : MergeResult.MergeStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MergeResult.MergeStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isSuccessful

    public abstract boolean isSuccessful()

Returns:
  whether the status indicates a successful result